curl --request POST \
--url https://api.platform.dakota.xyz/recipients/{recipient_id}/destinations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"destination_type": "crypto",
"name": "My Ethereum Wallet",
"crypto_address": "0x1234",
"network_id": "ethereum-mainnet"
}
'const options = {
method: 'POST',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
destination_type: 'crypto',
name: 'My Ethereum Wallet',
crypto_address: '0x1234',
network_id: 'ethereum-mainnet'
})
};
fetch('https://api.platform.dakota.xyz/recipients/{recipient_id}/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/recipients/{recipient_id}/destinations"
payload = {
"destination_type": "crypto",
"name": "My Ethereum Wallet",
"crypto_address": "0x1234",
"network_id": "ethereum-mainnet"
}
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/recipients/{recipient_id}/destinations"
payload := strings.NewReader("{\n \"destination_type\": \"crypto\",\n \"name\": \"My Ethereum Wallet\",\n \"crypto_address\": \"0x1234\",\n \"network_id\": \"ethereum-mainnet\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request",
"status": 400,
"detail": "Invalid request",
"instance": "https://api.platform.dakota.xyz/recipients/example-id/destinations",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/recipients/example-id/destinations",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/recipients/example-id/destinations",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Not found",
"status": 404,
"detail": "Not found",
"instance": "https://api.platform.dakota.xyz/recipients/example-id/destinations",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Add a destination for a recipient
Create a new destination for a recipient. The destination type (crypto, fiat_us, fiat_iban) is determined by the destination_type field in the request body.
curl --request POST \
--url https://api.platform.dakota.xyz/recipients/{recipient_id}/destinations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"destination_type": "crypto",
"name": "My Ethereum Wallet",
"crypto_address": "0x1234",
"network_id": "ethereum-mainnet"
}
'const options = {
method: 'POST',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
destination_type: 'crypto',
name: 'My Ethereum Wallet',
crypto_address: '0x1234',
network_id: 'ethereum-mainnet'
})
};
fetch('https://api.platform.dakota.xyz/recipients/{recipient_id}/destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/recipients/{recipient_id}/destinations"
payload = {
"destination_type": "crypto",
"name": "My Ethereum Wallet",
"crypto_address": "0x1234",
"network_id": "ethereum-mainnet"
}
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/recipients/{recipient_id}/destinations"
payload := strings.NewReader("{\n \"destination_type\": \"crypto\",\n \"name\": \"My Ethereum Wallet\",\n \"crypto_address\": \"0x1234\",\n \"network_id\": \"ethereum-mainnet\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request",
"status": 400,
"detail": "Invalid request",
"instance": "https://api.platform.dakota.xyz/recipients/example-id/destinations",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/recipients/example-id/destinations",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/recipients/example-id/destinations",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Not found",
"status": 404,
"detail": "Not found",
"instance": "https://api.platform.dakota.xyz/recipients/example-id/destinations",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Authorizations
Headers
Unique key to ensure request idempotency. If the same key is used within a certain time window, the original response will be returned instead of executing the request again.
Path Parameters
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Body
Destination details.
- Crypto Destination Request
- Crypto Destination Request
- Crypto Destination Request
- US Fiat Destination Request
- IBAN Fiat Destination Request
Request for creating or updating a cryptocurrency destination.
The type of destination.
crypto Name of the destination for reference
"My Ethereum Wallet"
"0x1234"
Identifier for a blockchain network
ethereum-mainnet, ethereum-sepolia, ethereum-goerli, ethereum-holesky, solana-mainnet, solana-devnet, solana-testnet, base-mainnet, base-sepolia, arbitrum-mainnet, arbitrum-sepolia, optimism-mainnet, optimism-sepolia, polygon-mainnet, polygon-amoy 1 - 30"ethereum-mainnet"
Response
Destination created successfully.
Response containing a unique identifier.
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Was this page helpful?

